Debian Bug report logs - #682538
cdebconf-text-udeb should provide a way to disable wrapping-around

version graph

Package: cdebconf; Maintainer for cdebconf is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdebconf is src:cdebconf.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Mon, 23 Jul 2012 15:24:05 UTC

Severity: normal

Found in version cdebconf/0.171

Fixed in version cdebconf/0.174

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-accessibility@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Mon, 23 Jul 2012 15:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to debian-accessibility@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 23 Jul 2012 15:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdebconf-text-udeb should provide a way to disable wrapping-around
Date: Tue, 24 Jul 2012 00:21:25 +0900
Package: cdebconf
Version: 0.171
Severity: normal

Hello,

The speech synthesis in the Debian installer currently has a few issues,
which can actually be fixed the same way: dropping wrap-around.

What happens is that what speech synthesis gets is what
cdebconf-text-udeb writes to the console, for instance it would receive
the above sentence as:

"The speech synthesis currently has a few issues, which can actually
be\nfixed the same way: dropping wrap-around.\n"

And thus it considers these as two sentences. This is because in a
terminal, lines are the semantic units. This is actually also deeply
cabled in actual speech synthesizers.

Another issue is this layout:

1: Choice 1,   4: Choice 4,
2: Choice 2,   5: Choice 5,
3: Choice 3,   6: Choice 6

The speech synthesis will read "1: Choice 1, 4: Choice 4, 2: Choice 2,
5: Choice 5, 3: Choice 3, 6: Choice 6", which is far from convenient.

A solution to both problems would be to simply disable wrapping, i.e.
when some option, environment variable or debconf variable is set, make
getwidth() return e.g. 8192 (not INT_MAX, because some functions would
try to allocate that). COLUMNS would work, but it would also break
applications run from shells invoked from the main menu, so perhaps
DEBCONF_TEXT_COLUMNS?

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cdebconf depends on:
ii  debconf               1.5.44
ii  dpkg                  1.16.4.3
ii  libc6                 2.13-33
ii  libdebian-installer4  0.81
ii  libnewt0.52           0.52.14-10
ii  libslang2             2.2.4-15
ii  libtextwrap1          0.1-13

cdebconf recommends no packages.

Versions of packages cdebconf suggests:
pn  cdebconf-gtk  <none>

-- debconf information:
  cdebconf/frontend/gtk:
  cdebconf/frontend/text:
  cdebconf/frontend/newt:
  cdebconf/frontend/none:
* cdebconf/frontend: newt

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<B> l'alim je sais où elle est, elle est juste à côté de la dame qui dort
<g> B: clairement faut revoir les priorités dans la vie
<g> B: une dame ça se retrouve, un uptime...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Sat, 15 Sep 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 15 Sep 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 682538@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 682538@bugs.debian.org
Subject: Re: Bug#682538: cdebconf-text-udeb should provide a way to disable wrapping-around
Date: Sat, 15 Sep 2012 21:42:48 +0200
Hello,

Samuel Thibault, le Tue 24 Jul 2012 00:21:25 +0900, a écrit :
> A solution to both problems would be to simply disable wrapping,

Except that even if writing e.g. 100 characters to the console, the
linux kernel still gives a '\n' to speakup after 80 characters, and thus
it's split, which is even worse.

I have instead added a DEBCONF_TEXT_HORIZ variable that enables
horizontal display of choices.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Sat, 15 Sep 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 15 Sep 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 682538@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 682538@bugs.debian.org
Subject: Re: Bug#682538: cdebconf-text-udeb should provide a way to disable wrapping-around
Date: Sun, 16 Sep 2012 01:50:06 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (15/09/2012):
> I have instead added a DEBCONF_TEXT_HORIZ variable that enables
> horizontal display of choices.

I haven't tested this (yet), but this bug fix is really welcome. I've
been hitting this during speech synthesis tests, and that's a really
bad bug.

Thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions 0.174/. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 17 Sep 2012 15:33:10 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 17 Sep 2012 15:33:11 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 15:33:11 GMT) Full text and rfc822 format available.

Message sent on to Samuel Thibault <sthibault@debian.org>:
Bug#682538. (Mon, 17 Sep 2012 15:33:16 GMT) Full text and rfc822 format available.

Message #24 received at 682538-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: control@bugs.debian.org
Cc: 682538-submitter@bugs.debian.org
Subject: closing 682538
Date: Mon, 17 Sep 2012 17:28:14 +0200
close 682538 0.174
thanks

(and adding to changelog)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Mon, 17 Sep 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #29 received at 682538@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: control@bugs.debian.org, 682538@bugs.debian.org
Subject: Re: closing 682538
Date: Mon, 17 Sep 2012 21:10:34 +0200
[Message part 1 (text/plain, inline)]
notfixed 682538 0.174/
fixed    682538 cdebconf/0.174
thanks

Samuel Thibault <sthibault@debian.org> (17/09/2012):
> close 682538 0.174
> thanks
> 
> (and adding to changelog)

That led to:
| Found in version cdebconf/0.171
| Fixed in version 0.174/

Possibly fixing with the above commands (+ pinged whom it may concerned).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions cdebconf/0.174. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 17 Sep 2012 19:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Mon, 17 Sep 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #36 received at 682538@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 682538@bugs.debian.org
Subject: Re: closing 682538
Date: Mon, 17 Sep 2012 21:20:41 +0200
Cyril Brulebois, le Mon 17 Sep 2012 21:10:34 +0200, a écrit :
> notfixed 682538 0.174/
> fixed    682538 cdebconf/0.174
> thanks
> 
> Samuel Thibault <sthibault@debian.org> (17/09/2012):
> > close 682538 0.174
> > thanks
> > 
> > (and adding to changelog)
> 
> That led to:
> | Found in version cdebconf/0.171
> | Fixed in version 0.174/

Uh?

So the package name has to be put in the version?  I have never seen it
documented, and couldn't find any reference about it, do you know any?

> Possibly fixing with the above commands (+ pinged whom it may concerned).

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Mon, 17 Sep 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #41 received at 682538@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 682538@bugs.debian.org
Subject: Re: closing 682538
Date: Mon, 17 Sep 2012 21:32:35 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (17/09/2012):
> So the package name has to be put in the version?  I have never seen it
> documented, and couldn't find any reference about it, do you know any?

Your syntax was fine, according to the BTS's doc. I was pointed at
#686106, and Don confirmed it's a known bug.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

No longer marked as fixed in versions 0.174/. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#682538; Package cdebconf. (Fri, 21 Sep 2012 19:54:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 21 Sep 2012 19:54:54 GMT) Full text and rfc822 format available.

Message #48 received at 682538@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 682538@bugs.debian.org
Subject: Wrong versions fixed in bug 682538
Date: Fri, 21 Sep 2012 12:51:00 -0700
This bug (682538) had an incorrect found or fixed version which was
caused by 686106. I have removed the incorrect found or fixed version,
and added it back as a correct version. [This was the source of the
internal messages which you have received previously.]

If you have any questions, please contact owner@bugs.debian.org

Don Armstrong




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Oct 2012 07:27:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:46:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.